version = "1.9"

import cheems, qrcode
from PIL import Image
import cv2
import os


def qrpic(event, imgk, data, out, **dat):
    fc = dat.get("upcolor", "black")
    bg = dat.get("bgcolor", "white")
    fa = Image.open(imgk)
    face = fa.resize((60,60))
    qr_big = qrcode.QRCode(error_correction=qrcode.constants.ERROR_CORRECT_H)
    qr_big.add_data(data)
    qr_big.make()
    img_qr_big = qr_big.make_image(fill_color=fc, back_color=bg).convert('RGB')
    pos = ((img_qr_big.size[0] - face.size[0]) // 2, (img_qr_big.size[1] - face.size[1]) // 2)
    img_qr_big.paste(face, pos)
    img_qr_big.save(out)
    return out


def watermark_qr(event, img, data, out, **dat):
    fc = dat.get("upcolor", "black")
    bg = dat.get("bgcolor", "white")
    img_bg = Image.open(img)
    qr = qrcode.QRCode(box_size=5)
    qr.add_data(data)
    qr.make()
    img_qr = qr.make_image(fill_color=fc, back_color=bg)
    pos = (img_bg.size[0] - img_qr.size[0], img_bg.size[1] - img_qr.size[1])
    img_bg.paste(img_qr, pos)
    img_bg.save(out)
    return out


def qr_decode(img):
    im = cv2.imread(img)
    det = cv2.QRCodeDetector()
    x, y, z = det.detectAndDecode(im)
    return x
